Bug 974541 - Fail to add 10gen-mms-agent-0.1 to apps
Fail to add 10gen-mms-agent-0.1 to apps
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
All All
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 07:44 EDT by zhaozhanqi
Modified: 2015-05-14 19:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 02:23:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhaozhanqi 2013-06-14 07:44:17 EDT
Description of problem:
failed to add 10gen-mms-agent-0.1 to apps, it always show error 'The server did not respond correctly. This may be an issue with the server configuration or with your connection to the server (such as a Web proxy or firewall). Please verify that your proxy server is working correctly
(http://file.rdu.redhat.com:3128/) and that you can access the OpenShift server https://ec2-54-225-35-245.compute-1.amazonaws.com/broker/rest/domains/zqd/applications/zqpy26/cartridges'


Version-Release number of selected component (if applicable):
devenv_3360

How reproducible:
always

Steps to Reproduce:
1. create an app
2. add mongodb-2.2 to the app
3. cd into the app'repo/.openshift and mkdir mms
4. cd into mms and create a settings.py 
5.git push all the changes
6. add 10gen-mms-agent-0.1 to the app

Actual results:

[zqzhao@dhcp-13-222 .openshift]$ rhc cartridge add -a zqpy26 -c 10gen-mms-agent
Using 10gen-mms-agent-0.1 (10gen Mongo Monitoring Service Agent) for '10gen-mms-agent'
Adding 10gen-mms-agent-0.1 to application 'zqpy26' ... 
The server did not respond correctly. This may be an issue with the server configuration or with your connection to the server (such as a Web proxy or firewall). Please verify that your proxy server is working correctly
(http://file.rdu.redhat.com:3128/) and that you can access the OpenShift server https://ec2-54-225-35-245.compute-1.amazonaws.com/broker/rest/domains/zqd/applications/zqpy26/cartridges


Expected results:
10gen-mms-agent-0.1 successfully added to the app

Additional info:

development.log

2013-06-14 07:18:06.565 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (0.8662ms) (pid:2631)
2013-06-14 07:18:06.567 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=applications selector={"$query"=>{"_id"=>"51bae2d28dc97ccbd100010b"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.8154ms) (pid:2631)
2013-06-14 07:18:06.585 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51bae2d28dc97ccbd100010b"} update={"$set"=>{"pending_op_groups.0.pending_ops"=>[{"_id"=>"51bafbec8dc97ccbd1000202", "args"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}, {"comp"=>"10gen-mms-agent-0.1", "cart"=>"10gen-mms-agent-0.1"}, {"comp"=>"mongodb-2.2", "cart"=>"mongodb-2.2"}], "min_gears"=>1, "max_gears"=>1}]}, "op_type"=>:set_group_overrides, "retry_count"=>0, "saved_values"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}, {"comp"=>"mongodb-2.2", "cart"=>"mongodb-2.2"}], "min_gears"=>1, "max_gears"=>1}]}, "state"=>:completed}, {"_id"=>"51bafbec8dc97ccbd10001ff", "args"=>{"group_instance_id"=>"51bae2d28dc97ccbd100011a", "comp_spec"=>{"comp"=>"10gen-mms-agent-0.1", "cart"=>"10gen-mms-agent-0.1"}, "cartridge_vendor"=>"redhat", "version"=>"0.1"}, "op_type"=>:new_component, "prereq"=>[nil], "retry_count"=>0, "saved_values"=>[], "state"=>:completed}, {"_id"=>"51bafbec8dc97ccbd1000200", "args"=>{"group_instance_id"=>"51bae2d28dc97ccbd100011a", "gear_id"=>"51bae2d28dc97ccbd100010b", "comp_spec"=>{"comp"=>"10gen-mms-agent-0.1", "cart"=>"10gen-mms-agent-0.1"}, "init_git_url"=>nil}, "op_type"=>:add_component, "prereq"=>["51bafbec8dc97ccbd10001ff", []], "retry_count"=>0, "saved_values"=>[], "state"=>:completed}, {"_id"=>"51bafbec8dc97ccbd1000201", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:post_configure_component, "args"=>{"group_instance_id"=>"51bae2d28dc97ccbd100011a", "gear_id"=>"51bae2d28dc97ccbd100010b", "comp_spec"=>{"comp"=>"10gen-mms-agent-0.1", "cart"=>"10gen-mms-agent-0.1"}, "init_git_url"=>nil}, "prereq"=>["51bafbec8dc97ccbd1000200", []]}, {"_id"=>"51bafbec8dc97ccbd1000203", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:execute_connections, "prereq"=>["51bafbec8dc97ccbd1000202", "51bafbec8dc97ccbd10001ff", "51bafbec8dc97ccbd1000200", "51bafbec8dc97ccbd1000201"]}]}} flags=[] (pid:2631)
2013-06-14 07:18:06.585 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (3.6283ms) (pid:2631)
2013-06-14 07:18:06.593 [DEBUG] Execute post_configure_component (pid:2631)
2013-06-14 07:18:06.599 [DEBUG] DEBUG: rpc_client.custom_request('cartridge_do', {:cartridge=>"10gen-mms-agent-0.1", :action=>"post-configure", :args=>{"--with-app-uuid"=>"51bae2d28dc97c0a47000009", "--with-app-name"=>"zqpy26", "--with-container-uuid"=>"51bae2d28dc97c0a47000009", "--with-container-name"=>"zqpy26", "--with-namespace"=>"zqd", "--with-request-id"=>"a37fe6f0c28dc92de527fa14e229288b", "--cart-name"=>"10gen-mms-agent-0.1", "--component-name"=>"10gen-mms-agent-0.1", "--with-software-version"=>"0.1", "--cartridge-vendor"=>"redhat"}}, ip-10-196-79-9, {'identity' => ip-10-196-79-9}) (Request ID: a37fe6f0c28dc92de527fa14e229288b) (pid:2631)
2013-06-14 07:18:07.701 [DEBUG] DEBUG: [#<MCollective::RPC::Result:0x000000056c2de8 @agent="openshift", @action="cartridge_do", @results={:sender=>"ip-10-196-79-9", :statuscode=>1, :statusmsg=>"cartridge_do_action failed 157. Output Failed to execute: 'control start' for /var/lib/openshift/51bae2d28dc97c0a47000009/10gen-mms-agent\n\n", :data=>{:time=>nil, :output=>"Failed to execute: 'control start' for /var/lib/openshift/51bae2d28dc97c0a47000009/10gen-mms-agent\n\n", :exitcode=>157}}>] (Request ID: a37fe6f0c28dc92de527fa14e229288b) (pid:2631)
2013-06-14 07:18:07.702 [DEBUG] DEBUG: MCollective Response Time (execute_direct: post-configure): 1.103817721s  (Request ID: a37fe6f0c28dc92de527fa14e229288b) (pid:2631)
2013-06-14 07:18:07.702 [DEBUG] DEBUG: server results: Failed to execute: 'control start' for /var/lib/openshift/51bae2d28dc97c0a47000009/10gen-mms-agent (pid:2631)
2013-06-14 07:18:07.702 [DEBUG] DEBUG: server results: (pid:2631)
2013-06-14 07:18:07.703 [ERROR] Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support. (pid:2631)
2013-06-14 07:18:07.703 [ERROR] ["/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.10.1/lib/openshift/mcollective_application_conta
Comment 1 Dan McPherson 2013-06-14 12:01:35 EDT
Seems to work fine for me:

dmcphers@mcpherson:/tmp/rhc/danmcp1 (master)$ rhc cartridge add -a danmcp1 -c mongodb-2.2
Adding mongodb-2.2 to application 'danmcp1' ... Success

mongodb-2.2 (MongoDB NoSQL Database 2.2)
----------------------------------------
  Gears:          Located with php-5.3
  Connection URL: mongodb://$OPENSHIFT_MONGODB_DB_HOST:$OPENSHIFT_MONGODB_DB_PORT/
  Database Name:  danmcp1
  Password:       vVkkL-Rpv4R4
  Username:       admin

RESULT:
Added mongodb-2.2 to application danmcp1
Embedded app details: 
MongoDB 2.2 database added.  Please make note of these credentials:
   Root User:     admin
   Root Password: vVkkL-Rpv4R4
   Database Name: danmcp1
Connection URL: mongodb://$OPENSHIFT_MONGODB_DB_HOST:$OPENSHIFT_MONGODB_DB_PORT/

dmcphers@mcpherson:/tmp/rhc/danmcp1 (master)$ rhc cartridge add -a danmcp1 -c 10gen
Using 10gen-mms-agent-0.1 (10gen Mongo Monitoring Service Agent) for '10gen'
Adding 10gen-mms-agent-0.1 to application 'danmcp1' ... Success

10gen-mms-agent-0.1 (10gen Mongo Monitoring Service Agent)
----------------------------------------------------------
  Gears:          Located with php-5.3, mongodb-2.2
  Monitoring URL: https://mms.10gen.com/

RESULT:
Added 10gen-mms-agent-0.1 to application danmcp1
Embedded app details: Monitoring URL: https://mms.10gen.com/

10gen-mms-agent added. 
Please configure your mongodb host at https://mms.10gen.com/ to start monitoring performance data.
Monitoring URL: https://mms.10gen.com/






Can you please provide the mcollective log from the failure.
Comment 2 zhaozhanqi 2013-06-16 22:13:58 EDT
hi, Dan
 
 the following is the mcollective-client.log


D, [2013-06-16T22:10:31.443861 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:31.444235 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:31.444676 #2135] DEBUG -- : activemq.rb:149:in `connect' Already connection, not re-initializing connection
D, [2013-06-16T22:10:31.445176 #2135] DEBUG -- : cache.rb:105:in `read' Cache hit on 'ddl' key 'agent/openshift'
D, [2013-06-16T22:10:31.446096 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:31.446386 #2135] DEBUG -- : psk.rb:98:in `callerid' Setting callerid to uid=494 based on callertype=uid
D, [2013-06-16T22:10:31.446650 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:31.447168 #2135] DEBUG -- : client.rb:146:in `req' Publishing request to agent openshift with timeout 240
D, [2013-06-16T22:10:31.447652 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:31.448129 #2135] DEBUG -- : base.rb:178:in `create_request' Encoding a request for agent 'openshift' in collective mcollective with request id 7a31d97a562159fb88faba9767477d11
D, [2013-06-16T22:10:31.448416 #2135] DEBUG -- : psk.rb:98:in `callerid' Setting callerid to uid=494 based on callertype=uid
D, [2013-06-16T22:10:31.448750 #2135] DEBUG -- : client.rb:51:in `sendreq' Sending request 7a31d97a562159fb88faba9767477d11 to the openshift agent with ttl 60 in collective mcollective
D, [2013-06-16T22:10:31.449146 #2135] DEBUG -- : client.rb:63:in `subscribe' Subscribing to reply target for agent openshift
D, [2013-06-16T22:10:31.449426 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:31.449727 #2135] DEBUG -- : activemq.rb:277:in `subscribe' Subscribing to /queue/mcollective.reply.ip-10-10-146-164_2135 with headers {}
D, [2013-06-16T22:10:31.458452 #2135] DEBUG -- : message.rb:225:in `block in publish' Handling 7a31d97a562159fb88faba9767477d11 as a direct request
D, [2013-06-16T22:10:31.458687 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:31.458952 #2135] DEBUG -- : activemq.rb:259:in `block in publish' Sending a direct message to ActiveMQ target '/queue/mcollective.nodes' with headers '{"reply-to"=>"/queue/mcollective.reply.ip-10-10-146-164_2135", "mc_identity"=>"ip-10-10-146-164"}'
D, [2013-06-16T22:10:31.459551 #2135] DEBUG -- : activemq.rb:233:in `receive' Waiting for a message from ActiveMQ
D, [2013-06-16T22:10:32.415362 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:32.415685 #2135] DEBUG -- : runnerstats.rb:38:in `validated' Incrementing validated stat
D, [2013-06-16T22:10:32.416317 #2135] DEBUG -- : client.rb:73:in `unsubscribe' Unsubscribing reply target for openshift
D, [2013-06-16T22:10:32.416541 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:32.416781 #2135] DEBUG -- : activemq.rb:289:in `unsubscribe' Unsubscribing from /queue/mcollective.reply.ip-10-10-146-164_2135
D, [2013-06-16T22:10:32.418493 #2135] DEBUG -- : client.rb:33:in `disconnect' Disconnecting from the middleware
D, [2013-06-16T22:10:32.418757 #2135] DEBUG -- : activemq.rb:308:in `disconnect' Disconnecting from ActiveMQ
D, [2013-06-16T22:10:32.456678 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:32.457306 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:32.458404 #2135] DEBUG -- : activemq.rb:149:in `connect' Already connection, not re-initializing connection
D, [2013-06-16T22:10:32.459303 #2135] DEBUG -- : cache.rb:105:in `read' Cache hit on 'ddl' key 'agent/openshift'
D, [2013-06-16T22:10:32.460793 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:32.461873 #2135] DEBUG -- : psk.rb:98:in `callerid' Setting callerid to uid=494 based on callertype=uid
D, [2013-06-16T22:10:32.462164 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:32.462553 #2135] DEBUG -- : client.rb:146:in `req' Publishing request to agent openshift with timeout 240
D, [2013-06-16T22:10:32.463124 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:32.463478 #2135] DEBUG -- : base.rb:178:in `create_request' Encoding a request for agent 'openshift' in collective mcollective with request id 8499d547e30c5c0bb6fd6ecc214318bf
D, [2013-06-16T22:10:32.463750 #2135] DEBUG -- : psk.rb:98:in `callerid' Setting callerid to uid=494 based on callertype=uid
D, [2013-06-16T22:10:32.464207 #2135] DEBUG -- : client.rb:51:in `sendreq' Sending request 8499d547e30c5c0bb6fd6ecc214318bf to the openshift agent with ttl 60 in collective mcollective
D, [2013-06-16T22:10:32.464533 #2135] DEBUG -- : client.rb:63:in `subscribe' Subscribing to reply target for agent openshift
D, [2013-06-16T22:10:32.464809 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:32.465239 #2135] DEBUG -- : activemq.rb:277:in `subscribe' Subscribing to /queue/mcollective.reply.ip-10-10-146-164_2135 with headers {}
D, [2013-06-16T22:10:32.473769 #2135] DEBUG -- : message.rb:225:in `block in publish' Handling 8499d547e30c5c0bb6fd6ecc214318bf as a direct request
D, [2013-06-16T22:10:32.474032 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:32.474300 #2135] DEBUG -- : activemq.rb:259:in `block in publish' Sending a direct message to ActiveMQ target '/queue/mcollective.nodes' with headers '{"reply-to"=>"/queue/mcollective.reply.ip-10-10-146-164_2135", "mc_identity"=>"ip-10-10-146-164"}'
D, [2013-06-16T22:10:32.474912 #2135] DEBUG -- : activemq.rb:233:in `receive' Waiting for a message from ActiveMQ
D, [2013-06-16T22:10:32.950237 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:32.950544 #2135] DEBUG -- : runnerstats.rb:38:in `validated' Incrementing validated stat
D, [2013-06-16T22:10:32.951016 #2135] DEBUG -- : client.rb:73:in `unsubscribe' Unsubscribing reply target for openshift
D, [2013-06-16T22:10:32.951235 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:32.951463 #2135] DEBUG -- : activemq.rb:289:in `unsubscribe' Unsubscribing from /queue/mcollective.reply.ip-10-10-146-164_2135
D, [2013-06-16T22:10:32.953189 #2135] DEBUG -- : client.rb:33:in `disconnect' Disconnecting from the middleware
D, [2013-06-16T22:10:32.953450 #2135] DEBUG -- : activemq.rb:308:in `disconnect' Disconnecting from ActiveMQ
D, [2013-06-16T22:10:32.978779 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:32.979200 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:32.979608 #2135] DEBUG -- : activemq.rb:149:in `connect' Already connection, not re-initializing connection
D, [2013-06-16T22:10:32.979921 #2135] DEBUG -- : cache.rb:105:in `read' Cache hit on 'ddl' key 'agent/openshift'
D, [2013-06-16T22:10:32.980809 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:32.981197 #2135] DEBUG -- : psk.rb:98:in `callerid' Setting callerid to uid=494 based on callertype=uid
D, [2013-06-16T22:10:32.981469 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:32.981802 #2135] DEBUG -- : client.rb:146:in `req' Publishing request to agent openshift with timeout 240
D, [2013-06-16T22:10:32.982335 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:32.982682 #2135] DEBUG -- : base.rb:178:in `create_request' Encoding a request for agent 'openshift' in collective mcollective with request id 346f3ffda71758be8c82f028ad154767
D, [2013-06-16T22:10:32.982952 #2135] DEBUG -- : psk.rb:98:in `callerid' Setting callerid to uid=494 based on callertype=uid
D, [2013-06-16T22:10:32.983450 #2135] DEBUG -- : client.rb:51:in `sendreq' Sending request 346f3ffda71758be8c82f028ad154767 to the openshift agent with ttl 60 in collective mcollective
D, [2013-06-16T22:10:32.983724 #2135] DEBUG -- : client.rb:63:in `subscribe' Subscribing to reply target for agent openshift
D, [2013-06-16T22:10:32.984093 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:32.984394 #2135] DEBUG -- : activemq.rb:277:in `subscribe' Subscribing to /queue/mcollective.reply.ip-10-10-146-164_2135 with headers {}
D, [2013-06-16T22:10:32.993092 #2135] DEBUG -- : message.rb:225:in `block in publish' Handling 346f3ffda71758be8c82f028ad154767 as a direct request
D, [2013-06-16T22:10:32.993318 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:32.993577 #2135] DEBUG -- : activemq.rb:259:in `block in publish' Sending a direct message to ActiveMQ target '/queue/mcollective.nodes' with headers '{"reply-to"=>"/queue/mcollective.reply.ip-10-10-146-164_2135", "mc_identity"=>"ip-10-10-146-164"}'
D, [2013-06-16T22:10:32.994359 #2135] DEBUG -- : activemq.rb:233:in `receive' Waiting for a message from ActiveMQ
D, [2013-06-16T22:10:33.816599 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2013-06-16T22:10:33.816901 #2135] DEBUG -- : runnerstats.rb:38:in `validated' Incrementing validated stat
D, [2013-06-16T22:10:33.817363 #2135] DEBUG -- : client.rb:73:in `unsubscribe' Unsubscribing reply target for openshift
D, [2013-06-16T22:10:33.817585 #2135] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Activemq
D, [2013-06-16T22:10:33.817815 #2135] DEBUG -- : activemq.rb:289:in `unsubscribe' Unsubscribing from /queue/mcollective.reply.ip-10-10-146-164_2135
D, [2013-06-16T22:10:33.819506 #2135] DEBUG -- : client.rb:33:in `disconnect' Disconnecting from the middleware
D, [2013-06-16T22:10:33.819766 #2135] DEBUG -- : activemq.rb:308:in `disconnect' Disconnecting from ActiveMQ
Comment 3 zhaozhanqi 2013-06-17 02:23:45 EDT
hi, Dan

i have added 10gen-mms-agent-0.1 successfully. the reason is i create a empty file 'settings.py', i'm so sorry for wasting your time.

Note You need to log in before you can comment on or make changes to this bug.